EmailTemplate

Retrieves a list of EmailTemplates.

Retrieves a list of EmailTemplates.

GET/api/email-templates

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

order[paused]
stringdefault:asc

No description provided.

identifier
string

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, description, groupIdentifier, customId, color, maxBlockedAmount, paused, bounceHandling, validatorIdentifiers, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

active
boolean

No description provided.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

EmailTemplate collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier

Example: "key1"

description
string

EmailTemplate description / title. <<>>-Syntax can be used for dynamical generation.

Example: "Invoice for contract <<contract.number>>"

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"

reviewCondition
string

Review condition.

Example: "data['contract']['id'] > 1000"